#
# spec file for package perl-Gravatar-URL
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Gravatar-URL
Version:        1.07
Release:        1.28
%define cpan_name Gravatar-URL
Summary:        Make URLs for Gravatars from an email address
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Gravatar-URL/
Source0:        http://www.cpan.org/authors/id/M/MS/MSCHWERN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Module::Build) >= 0.420000
BuildRequires:  perl(Net::DNS) >= 1.01
BuildRequires:  perl(Test::MockRandom) >= 1.01
BuildRequires:  perl(Test::Warn) >= 0.11
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(parent)
Requires:       perl(Digest::SHA)
Requires:       perl(Net::DNS) >= 1.01
Requires:       perl(URI::Escape)
Requires:       perl(parent)
%{perl_requires}

%description
A Gravatar is a Globally Recognized Avatar for a given email address. This
allows you to have a global picture associated with your email address. You
can look up the Gravatar for any email address by constructing a URL to get
the image from gravatar.com. This module does that.

Examples of use include the author faces on http://search.cpan.org.

See http://gravatar.com for more info.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sat Oct  8 2016 coolo@suse.com
- updated to 1.07
  see /usr/share/doc/packages/perl-Gravatar-URL/Changes
  1.07  Wed Aug 10 17:47:19 PDT 2016
    Bug Fixes
  * Require an updated version of Net::DNS to avoid
    "resolver->dnssec(1) without Net::DNS::SEC installed"
    (Schwern) [github #4]
    Test Fixes
  * Fix our fake random number generator to avoid cross platform issues.
    [rt.cpan.org 71064] [github #7] (Lisa Hare)
    Distribution
  * Kwalitee fixups (BooK) (Lisa Hare)
  * Added a LICENSE file (Lisa Hare)
  * Now using Travis CI for Unix testing (Schwern)
  * Now using AppVeyor for Windows testing (Schwern)
* Tue May 29 2012 coolo@suse.com
- updated to 1.06
    Bug fixes
  * Fixed some undef warnings during sanitization.
    Test fixes
  * Adapt to changes in Carp 1.25 [RT#75523]
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Nov 29 2011 coolo@suse.com
- update to 1.05
    Security fix
  * Sanitize DNS results in Libravatar::URL
* Mon May 30 2011 coolo@novell.com
- regenerate with newest cpanspec
* Fri Apr  8 2011 coolo@novell.com
- initial package 1.04
  * created by cpanspec 1.78.04
